List RetrieveMemory log policies
Lists RetrieveMemory log policies with optional tombstone, active-time, name, label, sort, and pagination filters.
Query Parameters
Whether to include tombstoned policies. Also accepts include_deleted.
falseCase-insensitive substring filter on policy display names. Also accepts name_filter.
Only return policies active at this millisecond epoch timestamp. Also accepts active_at.
int64Maximum number of policies to return. Also accepts max_results.
50int32Opaque pagination token returned by the previous list response. Also accepts next_token.
Sort field: created_at, updated_at, or display_name. Also accepts sort_by.
"created_at""created_at" | "updated_at" | "display_name"Sort order. Also accepts sort_order.
"DESCENDING""ASCENDING" | "DESCENDING" | "SORT_ORDER_UNSPECIFIED"Filter by label key-value pairs. Label filters accept either label.= or label[key]=value (for example, label.environment=production or label[environment]=production).
{"environment":"production","team":"nlp"}Empty Object
Response Body
curl -X GET "https://loading/v1/admin/retrieve-memory-log-policies?includeDeleted=false&nameFilter=audit&activeAt=2219486400000&maxResults=20&nextToken=eyJvZmZzZXQiOjIwLCJhY3RpdmVBdCI6MjIxOTQ0MzIwMDAwMH0&sortBy=display_name&sortOrder=ASCENDING&label%5Benvironment%5D=production&label%5Bteam%5D=nlp"{
"policies": [
{
"policyId": "40000000-0000-4000-8000-000000000301",
"displayName": "Security audit policy",
"description": "Capture security-sensitive retrievals.",
"condition": {
"matchAll": false,
"anyOf": [
{
"spaceIds": [
"30000000-0000-4000-8000-000000000301"
],
"spaceLabelSelectors": {
"env": "prod"
}
}
]
},
"activeFrom": 2219443200000,
"activeUntil": 2219529600000,
"labels": {
"owner": "security",
"env": "prod"
},
"currentlyActive": true,
"deletedAt": 2219533200000,
"deletedById": "10000000-0000-4000-8000-000000000301",
"deleteReason": "Replaced by narrower policy.",
"createdAt": 2219443200000,
"updatedAt": 2219443200000,
"createdById": "10000000-0000-4000-8000-000000000301",
"updatedById": "10000000-0000-4000-8000-000000000301"
}
],
"nextToken": "eyJvZmZzZXQiOjIwLCJhY3RpdmVBdCI6MjIxOTQ0MzIwMDAwMH0"
}